#/usr/bin/python2
#encoding=utf-8  
import sys, urllib, urllib2, json, ssl
from datetime import datetime,timedelta

class AnalyzeData:

     def __init__(self):


        self.__IssueID=""; #议题编号 

            #归并入Issue的方式
            #0从Issue设置的Crawl中主动抓取，自然归并入Issue
            #1并入Topic
            #2并入Subject
            #3 涉及地区而并入
            #4涉及产品而并入
            #5涉及组织结构和单位而并入
            #6涉及人物而并入
            #7涉及行业而并入
            #8涉及分类而并入
            #10手工设定
            #11其他情况
        self.__MergeMethod=0;

        #用户分类ID（多个string）
        self.__CategoryIDs=[];

        #用户部门ID（多个string）
        self.__DepartmentIDs=[];

        #行业ID（多个string）
        self.__IndustryIDs=[];


        #产品名称（多个，"品牌-系列-品名-型号-类型"路径，用空格或,;隔开，分词索引）其中类型为新加，特殊字段，不和前四个形成继承关系
        self.__Product=[];

        #用户话题ID（多个string）
        
        self.__TopicIDs=[];

        #组织机构ID（多个string）
       
        self.__OrganizationIDs=[];


        #用户人物名称（多个,分词索引string）
        self.__People=[];

        #地区名称（多个,"省-市-区县-街道村镇"路径，用空格或,;隔开，分词索引）
        self.__Region=[];

        #关键词提取string
        self.__Keywords=[];

        #属性评分的结果(多个，AttributeEvaluationResult类对象)
        self. __Evaluation=[];

        
 
        #品类/市场编号（多个string）
        self.__MarketIDs=[];

        #主题/板块编号（多个string）
        self.__BlockIDs=[];

        #股票编号（多个string）
        self.__StockIDs=[];



        #相关事件编号string
        self.__RelatedEventID="";

        #转载编号string
        self.__DuplicationID="";



    #region 已分析过的标志bool True==1  False==0 
        self.__ProsdMedia=0;
        self.__ProsdSplite=0;
        self.__ProsdTopic=0;
        self.__ProsdCategory=0;
        self.__ProsdDepartment=0;
        
        self.__ProsdIndustry=0;
        self.__ProsdProduct=0;
        self.__ProsdPeople=0;
        self.__ProsdOrganization=0;
        self.__ProsdRegion=0;

        self.__ProsdSentiment=0;
        self.__ProsdSentiment8=0;
        self.__ProsdSentiment2=0;
        self.__ProsdKeyword=0;
        self.__prosdIG=0;
    #endregion 已分析过的标志bool

    #region 情感分析

        #正负情感(1 ~ 3),1:正面;2:中性;3:负面
        self.__Sentiment=0.0;

        #高兴
        self.__EmotionHappy =0.0;
        self.__EmotionAccept=0.0;
        self.__EmotionSurprise=0.0;
        self.__EmotionFear=0.0;
        self.__EmotionSad=0.0;
        self.__EmotionHate=0.0;
        self.__EmotionExpect=0.0;

        self.__EmotionAngry=0.0;
        self.__EmotionPositive=0.0;
        self.__EmotionNegative=0.0;
         #IG Tree string
        self.__IG="";



        #region 

        @property
        def IG(self):
            return self.__IG

        @IG.setter
        def IG(self,IG):
            self.__IG = str(IG)


        @property
        def EmotionNegative(self):
            return self.__EmotionNegative

        @EmotionNegative.setter
        def EmotionNegative(self,EmotionNegative):
            self.__EmotionNegative = float(EmotionNegative)

        @property
        def EmotionPositive(self):
            return self.__EmotionPositive

        @EmotionPositive.setter
        def EmotionPositive(self,EmotionPositive):
            self.__EmotionPositive = float(EmotionPositive)

        @property
        def EmotionAngry(self):
            return self.__EmotionAngry

        @EmotionAngry.setter
        def EmotionAngry(self,EmotionAngry):
            self.__EmotionAngry = float(EmotionAngry)





        @property
        def EmotionExpect(self):
            return self.__EmotionExpect

        @EmotionExpect.setter
        def EmotionExpect(self,EmotionExpect):
            self.__EmotionExpect = float(EmotionExpect)


        @property
        def EmotionHate(self):
            return self.__EmotionHate

        @EmotionHate.setter
        def EmotionHate(self,EmotionHate):
            self.__EmotionHate = float(EmotionHate)

        @property
        def EmotionSad(self):
            return self.__EmotionSad

        @EmotionSad.setter
        def EmotionSad(self,EmotionSad):
            self.__EmotionSad = float(EmotionSad)


        @property
        def EmotionFear(self):
            return self.__EmotionFear

        @EmotionFear.setter
        def EmotionFear(self,EmotionFear):
            self.__EmotionFear = float(EmotionFear)


        @property
        def EmotionSurprise(self):
            return self.__EmotionSurprise

        @EmotionSurprise.setter
        def EmotionSurprise(self,EmotionSurprise):
            self.__EmotionSurprise = float(EmotionSurprise)

        @property
        def EmotionAccept(self):
            return self.__EmotionAccept

        @EmotionAccept.setter
        def EmotionAccept(self,EmotionAccept):
            self.__EmotionAccept = float(EmotionAccept)



        @property
        def EmotionHappy(self):
            return self.__EmotionHappy

        @EmotionHappy.setter
        def EmotionHappy(self,EmotionHappy):
            self.__EmotionHappy = float(EmotionHappy)


        @property
        def Sentiment(self):
            return self.__Sentiment

        @Sentiment.setter
        def Sentiment(self,Sentiment):
            self.__Sentiment = float(Sentiment)




        @property
        def prosdIG(self):
            return self.__prosdIG

        @prosdIG.setter
        def prosdIG(self,prosdIG):
            self.__prosdIG = int(prosdIG)

        @property
        def ProsdKeyword(self):
            return self.__ProsdKeyword

        @ProsdKeyword.setter
        def ProsdKeyword(self,ProsdKeyword):
            self.__ProsdKeyword = int(ProsdKeyword)


        @property
        def ProsdSentiment2(self):
            return self.__ProsdSentiment2

        @ProsdSentiment2.setter
        def ProsdSentiment2(self,ProsdSentiment2):
            self.__ProsdSentiment2 = int(ProsdSentiment2)

        @property
        def ProsdSentiment8(self):
            return self.__ProsdSentiment8

        @ProsdSentiment8.setter
        def ProsdSentiment8(self,ProsdSentiment8):
            self.__ProsdSentiment8 = int(ProsdSentiment8)


        @property
        def ProsdSentiment(self):
            return self.__ProsdSentiment

        @ProsdSentiment.setter
        def ProsdSentiment(self,ProsdSentiment):
            self.__ProsdSentiment = int(ProsdSentiment)



        @property
        def ProsdRegion(self):
            return self.__ProsdRegion

        @ProsdRegion.setter
        def ProsdRegion(self,ProsdRegion):
            self.__ProsdRegion = int(ProsdRegion)

        @property
        def ProsdOrganization(self):
            return self.__ProsdOrganization

        @ProsdOrganization.setter
        def ProsdOrganization(self,ProsdOrganization):
            self.__ProsdOrganization = int(ProsdOrganization)

        @property
        def ProsdPeople(self):
            return self.__ProsdPeople

        @ProsdPeople.setter
        def ProsdPeople(self,ProsdPeople):
            self.__ProsdPeople = int(ProsdPeople)


        @property
        def ProsdProduct(self):
            return self.__ProsdProduct

        @ProsdProduct.setter
        def ProsdProduct(self,ProsdProduct):
            self.__ProsdProduct = int(ProsdProduct)

        @property
        def ProsdIndustry(self):
            return self.__ProsdIndustry

        @ProsdIndustry.setter
        def ProsdIndustry(self,ProsdIndustry):
            self.__ProsdIndustry = int(ProsdIndustry)

        @property
        def ProsdDepartment(self):
            return self.__ProsdDepartment

        @ProsdDepartment.setter
        def ProsdDepartment(self,ProsdDepartment):
            self.__ProsdDepartment = int(ProsdDepartment)


        @property
        def ProsdCategory(self):
            return self.__ProsdCategory

        @ProsdCategory.setter
        def ProsdCategory(self,ProsdCategory):
            self.__ProsdCategory = int(ProsdCategory)

        @property
        def ProsdTopic(self):
            return self.__ProsdTopic

        @ProsdTopic.setter
        def ProsdTopic(self,ProsdTopic):
            self.__ProsdTopic = int(ProsdTopic)


        @property
        def ProsdSplite(self):
            return self.__ProsdSplite

        @ProsdSplite.setter
        def ProsdSplite(self,ProsdSplite):
            self.__ProsdSplite = int(ProsdSplite)


        @property
        def ProsdMedia(self):
            return self.__ProsdMedia

        @ProsdMedia.setter
        def ProsdMedia(self,ProsdMedia):
            self.__ProsdMedia = int(ProsdMedia)






        @property
        def DuplicationID(self):
            return self.__DuplicationID

        @DuplicationID.setter
        def DuplicationID(self,DuplicationID):
            self.__DuplicationID = str(DuplicationID)


        @property
        def RelatedEventID(self):
            return self.__RelatedEventID

        @RelatedEventID.setter
        def RelatedEventID(self,RelatedEventID):
            self.__RelatedEventID = str(RelatedEventID)


        @property
        def StockIDs(self):
            return self.__StockIDs

        @StockIDs.setter
        def StockIDs(self,StockIDs):
            self.__StockIDs = [](StockIDs)


        @property
        def BlockIDs(self):
            return self.__BlockIDs

        @BlockIDs.setter
        def BlockIDs(self,BlockIDs):
            self.__BlockIDs = [](BlockIDs)


        @property
        def MarketIDs(self):
            return self.__MarketIDs

        @MarketIDs.setter
        def MarketIDs(self,MarketIDs):
            self.__MarketIDs = [](MarketIDs)




        @property
        def Evaluation(self):
            return self.__Evaluation

        @Evaluation.setter
        def Evaluation(self,Evaluation):
            self.__Evaluation = [](Evaluation)


        @property
        def Keywords(self):
            return self.__Keywords

        @Keywords.setter
        def Keywords(self,Keywords):
            self.__Keywords = [](Keywords)




        @property
        def Region(self):
            return self.__Region

        @Region.setter
        def Region(self,Region):
            self.__Region = [](Region)

        @property
        def People(self):
            return self.__People

        @People.setter
        def People(self,People):
            self.__People = [](People)





        @property
        def OrganizationIDs(self):
            return self.__OrganizationIDs

        @OrganizationIDs.setter
        def OrganizationIDs(self,OrganizationIDs):
            self.__OrganizationIDs = [](OrganizationIDs)



        @property
        def TopicIDs(self):
            return self.__TopicIDs

        @TopicIDs.setter
        def TopicIDs(self,TopicIDs):
            self.__TopicIDs = [](TopicIDs)




        @property
        def Product(self):
            return self.__Product

        @Product.setter
        def Product(self,Product):
            self.__Product = [](Product)


        @property
        def IndustryIDs(self):
            return self.__IndustryIDs

        @IndustryIDs.setter
        def IndustryIDs(self,IndustryIDs):
            self.__IndustryIDs = [](IndustryIDs)


        @property
        def DepartmentIDs(self):
            return self.__DepartmentIDs

        @DepartmentIDs.setter
        def DepartmentIDs(self,DepartmentIDs):
            self.__DepartmentIDs = [](DepartmentIDs)




        @property
        def CategoryIDs(self):
            return self.__CategoryIDs

        @CategoryIDs.setter
        def CategoryIDs(self,CategoryIDs):
            self.__CategoryIDs = [](CategoryIDs)


        @property
        def MergeMethod(self):
            return self.__MergeMethod

        @MergeMethod.setter
        def MergeMethod(self,MergeMethod):
            self.__MergeMethod = int(MergeMethod)



        
        @property
        def IssueID(self):
            return self.__IssueID

        @IssueID.setter
        def IssueID(self,IssueID):
            self.__IssueID = str(IssueID)




        #endregion





  


